Ingest
Process ingest items
Enqueue classified ingest items for extraction.
POST
/
api
/
v2
/
ingest
/
items
/
process
/
File matched items into a batch and start processing
curl --request POST \
--url https://api.example.com/api/v2/ingest/items/process/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"item_ids": [
"<string>"
],
"struct_slug": "<string>"
}
'import requests
url = "https://api.example.com/api/v2/ingest/items/process/"
payload = {
"item_ids": ["<string>"],
"struct_slug": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({item_ids: ['<string>'], struct_slug: '<string>'})
};
fetch('https://api.example.com/api/v2/ingest/items/process/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"batch": {
"id": 123,
"name": "<string>",
"web_url": "<string>"
},
"assigned": 123,
"skipped": [
{
"item_id": "<string>",
"reason": "<string>"
}
]
}{}{}{}{}Kick classified items into their default black-hole batches. Same
black_hole billing as automatic assignment.Body
application/json
⌘I
File matched items into a batch and start processing
curl --request POST \
--url https://api.example.com/api/v2/ingest/items/process/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"item_ids": [
"<string>"
],
"struct_slug": "<string>"
}
'import requests
url = "https://api.example.com/api/v2/ingest/items/process/"
payload = {
"item_ids": ["<string>"],
"struct_slug": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({item_ids: ['<string>'], struct_slug: '<string>'})
};
fetch('https://api.example.com/api/v2/ingest/items/process/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"batch": {
"id": 123,
"name": "<string>",
"web_url": "<string>"
},
"assigned": 123,
"skipped": [
{
"item_id": "<string>",
"reason": "<string>"
}
]
}{}{}{}{}
